%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Mind game - build molecules out of single atoms
Name:		atomix
Version:	44.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Puzzles
URL:		https://github.com/GNOME/atomix
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	meson

Requires(pre):	rpm-helper

%description
Atomix is a little mind game where you have to build molecules out of
single atoms. These are lying around between the walls and obstacles
on the play-field. Once you have pushed an atom in one direction, it
moves until it hits an obstacle or another atom. It requires some thinking
for how to construct complex molecules with this behavior. The game
is inspired by the original Amiga version.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_gamesbindir}
mv %{buildroot}%{_bindir}/atomix %{buildroot}%{_gamesbindir}/atomix

install -D -m644 data/icons/hicolor/symbolic/apps/atomix-symbolic.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%find_lang %{name}

%pre
%create_ghostfile %{_localstatedir}/lib/games/atomix.scores root games 0664

%files -f %{name}.lang
%doc README.md
%license COPYING
%attr(2511, root, games) %{_gamesbindir}/atomix
%{_datadir}/%{name}/
%{_datadir}/metainfo/*.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}-symbolic.svg
%ghost %{_localstatedir}/lib/games/atomix.scores


%changelog
* Sun Apr 23 2023 daviddavid <daviddavid> 44.0-1.mga9
+ Revision: 1954465
- new version 44.0

* Thu Mar 31 2022 umeabot <umeabot> 3.34.0-4.mga9
+ Revision: 1836753
- Mageia 9 Mass Rebuild

* Mon Jun 29 2020 joequant <joequant> 3.34.0-3.mga8
+ Revision: 1600425
- fix gcc10 build

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531076
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439018
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436488
- new version 3.33.92

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392116
- Rebuild with meson 0.50.1

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387208
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373998
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372287
- new version 3.31.92

* Wed Sep 05 2018 daviddavid <daviddavid> 3.30.0.1-1.mga7
+ Revision: 1257257
- new version: 3.30.0.1
- switch to meson build system

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055280
- new version 3.22.0

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993920
- new version 3.20.0

* Mon Mar 21 2016 shlomif <shlomif> 3.19.92-1.mga6
+ Revision: 993800
- Fix icons installation errors
+ ovitters <ovitters>
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981023
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961916
- new version 3.19.90

* Mon Jan 25 2016 akien <akien> 3.19.4-1.mga6
+ Revision: 927559
- Install SVG icon to hicolor
+ ovitters <ovitters>
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910395
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905316
- new version 3.19.2

* Tue Sep 22 2015 shlomif <shlomif> 3.18.0-1.mga6
+ Revision: 882227
- New version 3.18.0

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879425
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871618
- new version 3.17.91
- dropped merged patch 1

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865777
- new version 3.17.90

* Sat Jun 20 2015 shlomif <shlomif> 3.16.0-1.mga6
+ Revision: 835857
- Add missing BR
- Fix some typos
- Fix BRs
- Update BRs
- New version 3.16.0

* Wed Oct 15 2014 umeabot <umeabot> 2.14.0-15.mga5
+ Revision: 747221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.14.0-14.mga5
+ Revision: 678028
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 akien <akien> 2.14.0-13.mga5
+ Revision: 582765
- Add Debian patch to fix mga#12590 (AlexL)
- Bump release
- Update URL (AlexL)

* Tue Feb 04 2014 stormi <stormi> 2.14.0-12.mga5
+ Revision: 581826
- add patch to fix missing translations, thanks to Oleg Bosis and Alex Loginov (mga#10853)

* Fri Oct 18 2013 umeabot <umeabot> 2.14.0-11.mga4
+ Revision: 502931
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.14.0-10.mga3
+ Revision: 346534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 2.14.0-9.mga3
+ Revision: 336499
- fix build with new automake

* Thu Nov 29 2012 pterjan <pterjan> 2.14.0-8.mga3
+ Revision: 322836
- Fix BuildRequires
- Fix build

* Mon Aug 29 2011 ovitters <ovitters> 2.14.0-7.mga2
+ Revision: 136051
- correct source URL, remove unneeded PO file, don't add Mandriva specific desktop category, clean spec file (buildroot, mdkversion, defattr)
- imported package atomix


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.14.0-7mdv2011.0
+ Revision: 616630
- the mass rebuild of 2010.0 packages

* Tue Jun 09 2009 Jérôme Brenier <incubusss@mandriva.org> 2.14.0-6mdv2010.0
+ Revision: 384167
- fix install (localstatedir to /var/lib)
- fix license

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 2.14.0-3mdv2008.1
+ Revision: 187660
- rebuild for 2008.1

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Sep 18 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-17 06:08:29 (61766)
- atomix-2.14.0-2mdv2007.0

* Sun Sep 17 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-16 17:02:56 (61764)
- Remove wrong category

* Sun Sep 17 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-16 16:58:06 (61763)
- XDG

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:43:31 (43086)
- import atomix-2.14.0-1mdk

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 2.14.0-1mdk
- New release 2.14.0
- Fix Url

* Wed Nov 16 2005 Abel Cheung <deaddog@mandriva.org> 1.2.4-1mdk
- New release 1.2.4

* Fri Sep 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.2a-2mdk
- Fix BuildRequires  ( because of the use of convert )
- mkrel

* Mon Aug 08 2005 Abel Cheung <deaddog@mandriva.org> 1.2.2a-1mdk
- New release
- Drop my icons, use official one
- Update traditional Chinese translation

* Tue Jun 21 2005 Abel Cheung <deaddog@mandriva.org> 1.2.1-1mdk
- New version (nice to know it's risen from coffin)
- Drop patch (not needed)

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 1.0.1-3mdk
- Yet another BuildRequires fix
- Fix pre script

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 1.0.1-2mdk
- Fix BuildRequires (thx Stefan's bot)
- P0: fix build with newer gcc
- Regen auto* stuff because of change in intltool

* Wed Dec 31 2003 Abel Cheung <deaddog@deaddog.org> 1.0.1-1mdk
- First Mandrake package (?)

